Bug 656963 - Installer produces invalid configuration for osa jabber server.
Installer produces invalid configuration for osa jabber server.
Status: CLOSED ERRATA
Product: Red Hat Satellite Proxy 5
Classification: Red Hat
Component: Installer (Show other bugs)
540
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Jan Pazdziora
Jiri Kastner
: Regression
Depends On:
Blocks: sat54-errata
  Show dependency treegraph
 
Reported: 2010-11-24 10:27 EST by Martin Poole
Modified: 2012-09-06 18:13 EDT (History)
3 users (show)

See Also:
Fixed In Version: spacewalk-web-1.2.7-14
Doc Type: Bug Fix
Doc Text:
The WebUI installer for Red Hat Network Proxy Server 5.4 did not produce a valid configuration for the OSA jabberd service. With this update, jabberd is configured correctly.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-21 07:25:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Martin Poole 2010-11-24 10:27:45 EST
Description of problem:

installer produces invalid configuration for the osa jabber service.


Version-Release number of selected component (if applicable):

jabberd-2.2.8-8.el5sat
spacewalk-setup-jabberd-1.2.1-1.el5sat

How reproducible:

Always.

Steps to Reproduce:
1. Install proxy 5.4
2. start jabber service
3.
  
Actual results:

Nov 24 12:07:51 host-139 jabberd/router[2269]: starting up
Nov 24 12:07:51 host-139 jabberd/router[2269]: process id is 2269, written to /var/lib/jabberd/pid/router.pid
Nov 24 12:07:51 host-139 jabberd/router[2269]: loaded user table (1 users)
Nov 24 12:07:51 host-139 jabberd/router[2269]: loaded filters (0 rules)
Nov 24 12:07:51 host-139 jabberd/router[2269]: [0.0.0.0, port=5347] listening for incoming connections
Nov 24 12:07:51 host-139 jabberd/sm[2291]: starting up
Nov 24 12:07:51 host-139 jabberd/sm[2291]: id: host-139.example.com
Nov 24 12:07:51 host-139 jabberd/sm[2291]: couldn't open /var/run/jabberd/jabberd-sm.pid for writing: No such file or directory
Nov 24 12:07:51 host-139 jabberd/sm[2291]: loading 'db' storage module
Nov 24 12:07:51 host-139 jabberd/sm[2291]: initialised storage driver 'db'
Nov 24 12:07:51 host-139 jabberd/sm[2291]: modules search path undefined, using deafult: /usr/lib/jabberd
Nov 24 12:07:52 host-139 jabberd/sm[2291]: module 'iq-last' added to chain 'sess-end' (order 0 index 0 seq 0)
Nov 24 12:07:52 host-139 jabberd/sm[2291]: module 'validate' added to chain 'in-sess' (order 0 index 1 seq 0)
Nov 24 12:07:52 host-139 jabberd/c2s[2313]: starting up
Nov 24 12:07:52 host-139 jabberd/sm[2291]: module 'privacy' added to chain 'in-sess' (order 1 index 2 seq 0)
Nov 24 12:07:52 host-139 jabberd/c2s[2313]: couldn't open /var/run/jabberd/jabberd-c2s.pid for writing: No such file or directory
Nov 24 12:07:52 host-139 jabberd/sm[2291]: module 'roster' added to chain 'in-sess' (order 2 index 3 seq 0)
Nov 24 12:07:52 host-139 jabberd/c2s[2313]: modules search path undefined, using default: /usr/lib/jabberd
Nov 24 12:07:52 host-139 jabberd/sm[2291]: module 'vacation' added to chain 'in-sess' (order 3 index 4 seq 0)
Nov 24 12:07:52 host-139 jabberd/c2s[2313]: loading 'db' authreg module
Nov 24 12:07:52 host-139 jabberd/s2s[2335]: starting up (interval=60, queue=60, keepalive=0, idle=86400)
Nov 24 12:07:52 host-139 jabberd/sm[2291]: module 'iq-vcard' added to chain 'in-sess' (order 4 index 5 seq 0)
Nov 24 12:07:52 host-139 jabberd/c2s[2313]: initialized auth module 'db'
Nov 24 12:07:52 host-139 jabberd/s2s[2335]: process id is 2335, written to /var/lib/jabberd/pid/s2s.pid
Nov 24 12:07:52 host-139 jabberd/sm[2291]: module 'iq-private' added to chain 'in-sess' (order 5 index 6 seq 0)
Nov 24 12:07:52 host-139 jabberd/c2s[2313]: [host-139.example.com] configured; realm=host-139.example.com, registration disabled
Nov 24 12:07:52 host-139 jabberd/s2s[2335]: attempting connection to router at 127.0.0.1, port=5347
Nov 24 12:07:52 host-139 jabberd/sm[2291]: module 'disco' added to chain 'in-sess' (order 6 index 7 seq 0)
Nov 24 12:07:52 host-139 jabberd/c2s[2313]: attempting connection to router at 127.0.0.1, port=5347
Nov 24 12:07:52 host-139 jabberd/router[2269]: [127.0.0.1, port=52890] connect
Nov 24 12:07:52 host-139 jabberd/sm[2291]: module 'offline' added to chain 'in-sess' (order 7 index 8 seq 0)
Nov 24 12:07:53 host-139 jabberd/sm[2291]: module 'announce' added to chain 'in-sess' (order 8 index 9 seq 0)
Nov 24 12:07:53 host-139 jabberd/sm[2291]: module 'presence' added to chain 'in-sess' (order 9 index 10 seq 0)
Nov 24 12:07:53 host-139 jabberd/router[2269]: [127.0.0.1, port=52891] connect
Nov 24 12:07:53 host-139 jabberd/sm[2291]: module 'deliver' added to chain 'in-sess' (order 10 index 11 seq 0)
Nov 24 12:07:53 host-139 jabberd/c2s[2313]: error from router: Authentication failed ((null))
Nov 24 12:07:53 host-139 jabberd/router[2269]: [127.0.0.1, port=52890] authenticated as jabberd@jabberd-router
Nov 24 12:07:53 host-139 jabberd/s2s[2335]: connection to router established
Nov 24 12:07:53 host-139 jabberd/sm[2291]: module 'session' added to chain 'in-router' (order 0 index 12 seq 0)
Nov 24 12:07:53 host-139 jabberd/c2s[2313]: connection to router closed
Nov 24 12:07:53 host-139 jabberd/router[2269]: [127.0.0.1, port=52891] disconnect
Nov 24 12:07:53 host-139 jabberd/sm[2291]: module 'validate' added to chain 'in-router' (order 1 index 1 seq 1)
Nov 24 12:07:53 host-139 jabberd/c2s[2313]: attempting reconnect (3 left)
Nov 24 12:07:53 host-139 jabberd/router[2269]: [s2s] set as default route
Nov 24 12:07:53 host-139 jabberd/sm[2291]: module 'presence' added to chain 'in-router' (order 2 index 10 seq 1)
Nov 24 12:07:53 host-139 jabberd/router[2269]: [s2s] online (bound to 127.0.0.1, port 52890)
Nov 24 12:07:53 host-139 jabberd/sm[2291]: module 'privacy' added to chain 'in-router' (order 3 index 2 seq 1)
Nov 24 12:07:53 host-139 jabberd/s2s[2335]: [0.0.0.0, port=5269] listening for connections
Nov 24 12:07:53 host-139 jabberd/sm[2291]: module 'privacy' added to chain 'out-router' (order 0 index 2 seq 2)
Nov 24 12:07:53 host-139 jabberd/s2s[2335]: ready for connections
Nov 24 12:07:53 host-139 jabberd/sm[2291]: module 'iq-last' added to chain 'pkt-sm' (order 0 index 0 seq 1)
Nov 24 12:07:53 host-139 jabberd/sm[2291]: module 'iq-time' added to chain 'pkt-sm' (order 1 index 13 seq 0)
Nov 24 12:07:53 host-139 jabberd/sm[2291]: module 'iq-version' added to chain 'pkt-sm' (order 2 index 14 seq 0)
Nov 24 12:07:53 host-139 jabberd/sm[2291]: module 'disco' added to chain 'pkt-sm' (order 3 index 7 seq 1)
Nov 24 12:07:53 host-139 jabberd/sm[2291]: module 'announce' added to chain 'pkt-sm' (order 4 index 9 seq 1)
Nov 24 12:07:53 host-139 jabberd/sm[2291]: module 'help' added to chain 'pkt-sm' (order 5 index 15 seq 0)
Nov 24 12:07:53 host-139 jabberd/sm[2291]: module 'echo' added to chain 'pkt-sm' (order 6 index 16 seq 0)
Nov 24 12:07:53 host-139 jabberd/sm[2291]: module 'roster' added to chain 'pkt-user' (order 0 index 3 seq 1)
Nov 24 12:07:53 host-139 jabberd/sm[2291]: module 'presence' added to chain 'pkt-user' (order 1 index 10 seq 2)
Nov 24 12:07:54 host-139 jabberd/sm[2291]: module 'iq-vcard' added to chain 'pkt-user' (order 2 index 5 seq 1)
Nov 24 12:07:54 host-139 jabberd/sm[2291]: module 'deliver' added to chain 'pkt-user' (order 3 index 11 seq 1)
Nov 24 12:07:54 host-139 jabberd/sm[2291]: module 'vacation' added to chain 'pkt-user' (order 4 index 4 seq 1)
Nov 24 12:07:54 host-139 jabberd/sm[2291]: module 'offline' added to chain 'pkt-user' (order 5 index 8 seq 1)
Nov 24 12:07:54 host-139 jabberd/sm[2291]: module 'disco-publish' added to chain 'pkt-user' (order 6 index 17 seq 0)
Nov 24 12:07:54 host-139 jabberd/sm[2291]: module 'iq-last' added to chain 'pkt-user' (order 7 index 0 seq 2)
Nov 24 12:07:54 host-139 jabberd/sm[2291]: module 'session' added to chain 'pkt-router' (order 0 index 12 seq 1)
Nov 24 12:07:54 host-139 jabberd/sm[2291]: module 'disco' added to chain 'pkt-router' (order 1 index 7 seq 2)
Nov 24 12:07:54 host-139 jabberd/sm[2291]: module 'active' added to chain 'user-load' (order 0 index 18 seq 0)
Nov 24 12:07:54 host-139 jabberd/sm[2291]: module 'roster' added to chain 'user-load' (order 1 index 3 seq 2)
Nov 24 12:07:54 host-139 jabberd/sm[2291]: module 'privacy' added to chain 'user-load' (order 2 index 2 seq 3)
Nov 24 12:07:54 host-139 jabberd/sm[2291]: module 'disco-publish' added to chain 'user-load' (order 3 index 17 seq 1)
Nov 24 12:07:54 host-139 jabberd/sm[2291]: module 'vacation' added to chain 'user-load' (order 4 index 4 seq 2)
Nov 24 12:07:54 host-139 jabberd/sm[2291]: module 'active' added to chain 'user-create' (order 0 index 18 seq 1)
Nov 24 12:07:54 host-139 jabberd/sm[2291]: module 'template-roster' added to chain 'user-create' (order 1 index 19 seq 0)
Nov 24 12:07:54 host-139 jabberd/sm[2291]: module 'active' added to chain 'user-delete' (order 0 index 18 seq 2)
Nov 24 12:07:54 host-139 jabberd/sm[2291]: module 'announce' added to chain 'user-delete' (order 1 index 9 seq 2)
Nov 24 12:07:54 host-139 jabberd/sm[2291]: module 'disco-publish' added to chain 'user-delete' (order 2 index 17 seq 2)
Nov 24 12:07:54 host-139 jabberd/sm[2291]: module 'offline' added to chain 'user-delete' (order 3 index 8 seq 2)
Nov 24 12:07:54 host-139 jabberd/sm[2291]: module 'privacy' added to chain 'user-delete' (order 4 index 2 seq 4)
Nov 24 12:07:54 host-139 jabberd/sm[2291]: module 'roster' added to chain 'user-delete' (order 5 index 3 seq 3)
Nov 24 12:07:54 host-139 jabberd/sm[2291]: module 'vacation' added to chain 'user-delete' (order 6 index 4 seq 3)
Nov 24 12:07:54 host-139 jabberd/sm[2291]: module 'iq-last' added to chain 'user-delete' (order 7 index 0 seq 3)
Nov 24 12:07:54 host-139 jabberd/sm[2291]: module 'iq-private' added to chain 'user-delete' (order 8 index 6 seq 1)
Nov 24 12:07:54 host-139 jabberd/sm[2291]: module 'iq-vcard' added to chain 'user-delete' (order 9 index 5 seq 2)
Nov 24 12:07:54 host-139 jabberd/sm[2291]: version: jabberd sm 2.2.8
Nov 24 12:07:54 host-139 jabberd/sm[2291]: attempting connection to router at 127.0.0.1, port=5347
Nov 24 12:07:54 host-139 jabberd/router[2269]: [127.0.0.1, port=52894] connect
Nov 24 12:07:54 host-139 jabberd/sm[2291]: error from router: Authentication failed ((null))
Nov 24 12:07:54 host-139 jabberd/sm[2291]: connection to router closed
Nov 24 12:07:54 host-139 jabberd/router[2269]: [127.0.0.1, port=52894] disconnect
Nov 24 12:07:54 host-139 jabberd/sm[2291]: attempting reconnect (3 left)
Nov 24 12:07:55 host-139 jabberd/c2s[2313]: attempting connection to router at 127.0.0.1, port=5347
Nov 24 12:07:55 host-139 jabberd/router[2269]: [127.0.0.1, port=52895] connect
Nov 24 12:07:55 host-139 jabberd/c2s[2313]: error from router: Authentication failed ((null))
Nov 24 12:07:55 host-139 jabberd/c2s[2313]: connection to router closed
Nov 24 12:07:55 host-139 jabberd/router[2269]: [127.0.0.1, port=52895] disconnect
Nov 24 12:07:55 host-139 jabberd/c2s[2313]: attempting reconnect (2 left)
Nov 24 12:07:56 host-139 jabberd/sm[2291]: attempting connection to router at 127.0.0.1, port=5347
Nov 24 12:07:56 host-139 jabberd/router[2269]: [127.0.0.1, port=52896] connect
Nov 24 12:07:57 host-139 jabberd/sm[2291]: error from router: Authentication failed ((null))
Nov 24 12:07:57 host-139 jabberd/sm[2291]: connection to router closed
Nov 24 12:07:57 host-139 jabberd/router[2269]: [127.0.0.1, port=52896] disconnect
Nov 24 12:07:57 host-139 jabberd/sm[2291]: attempting reconnect (2 left)
Nov 24 12:07:57 host-139 jabberd/c2s[2313]: attempting connection to router at 127.0.0.1, port=5347
Nov 24 12:07:57 host-139 jabberd/router[2269]: [127.0.0.1, port=52897] connect
Nov 24 12:07:57 host-139 jabberd/c2s[2313]: error from router: Authentication failed ((null))
Nov 24 12:07:57 host-139 jabberd/c2s[2313]: connection to router closed
Nov 24 12:07:57 host-139 jabberd/router[2269]: [127.0.0.1, port=52897] disconnect
Nov 24 12:07:57 host-139 jabberd/c2s[2313]: attempting reconnect (1 left)
Nov 24 12:07:59 host-139 jabberd/sm[2291]: attempting connection to router at 127.0.0.1, port=5347
Nov 24 12:07:59 host-139 jabberd/router[2269]: [127.0.0.1, port=52898] connect
Nov 24 12:07:59 host-139 jabberd/sm[2291]: error from router: Authentication failed ((null))
Nov 24 12:07:59 host-139 jabberd/sm[2291]: connection to router closed
Nov 24 12:07:59 host-139 jabberd/sm[2291]: attempting reconnect (1 left)
Nov 24 12:07:59 host-139 jabberd/router[2269]: [127.0.0.1, port=52898] disconnect
Nov 24 12:07:59 host-139 jabberd/c2s[2313]: attempting connection to router at 127.0.0.1, port=5347
Nov 24 12:07:59 host-139 jabberd/router[2269]: [127.0.0.1, port=52899] connect
Nov 24 12:07:59 host-139 jabberd/c2s[2313]: error from router: Authentication failed ((null))
Nov 24 12:07:59 host-139 jabberd/c2s[2313]: connection to router closed
Nov 24 12:07:59 host-139 jabberd/c2s[2313]: shutting down
Nov 24 12:07:59 host-139 jabberd/router[2269]: [127.0.0.1, port=52899] disconnect
Nov 24 12:08:01 host-139 jabberd/sm[2291]: attempting connection to router at 127.0.0.1, port=5347
Nov 24 12:08:01 host-139 jabberd/router[2269]: [127.0.0.1, port=52900] connect
Nov 24 12:08:01 host-139 jabberd/sm[2291]: error from router: Authentication failed ((null))
Nov 24 12:08:01 host-139 jabberd/sm[2291]: connection to router closed
Nov 24 12:08:01 host-139 jabberd/router[2269]: [127.0.0.1, port=52900] disconnect
Nov 24 12:08:01 host-139 jabberd/sm[2291]: shutting down


Expected results:


Additional info:
Comment 1 Clifford Perry 2010-11-24 10:39:25 EST
Is this command line installer or WebUI installer? 

Thanks,
Cliff
Comment 2 Martin Poole 2010-11-24 10:46:35 EST
The main problem is with the c2s.xml & sm.xml config files.

For c2s

  the pid location is wrong
  the pass is wrong
  the id lacks attirbutes
  the path for db files is wrong


For sm

  the pid location is wrong
  the pass is wrong
  the path for db files is wrong

The password in the default files now appears to be an auto-generated random string, so a blanket use of fixed string 'secret' would appear to be incorrect.

Also the 
To fix a non-working config I made the following changes,

diff -r fail/c2s.xml working/c2s.xml
9c9
<   <pidfile>/var/run/jabberd/jabberd-c2s.pid</pidfile>
---
>   <pidfile>/var/lib/jabberd/pid/c2s.pid</pidfile>
19c19
<     <pass>secret</pass>           <!-- default: secret -->
---
>     <pass>f43bfe6d35688316a6a5d2e8cd9a29f9e9bc8bff</pass>           <!-- default: secret -->
76c76
<     <id>host-139.example.com</id>
---
>     <id require-starttls="false" pemfile="/etc/jabberd/server.pem" realm="" register-enable="true">host-139.example.com</id>
289c289
<       <path>/var/lib/jabberd</path>
---
>       <path>/var/lib/jabberd/db</path>
diff -r fail/sm.xml working/sm.xml
12c12
<   <pidfile>/var/run/jabberd/jabberd-sm.pid</pidfile>
---
>   <pidfile>/var/lib/jabberd/pid/sm.pid</pidfile>
22c22
<     <pass>secret</pass>           <!-- default: secret -->
---
>     <pass>f43bfe6d35688316a6a5d2e8cd9a29f9e9bc8bff</pass>           <!-- default: secret -->
122c122
<       <path>/var/lib/jabberd</path>
---
>       <path>/var/lib/jabberd/db</path>
Comment 3 Martin Poole 2010-11-24 10:47:30 EST
This was from webUI install.  Currently retesting from cmdline install.
Comment 4 Martin Poole 2010-11-24 11:08:38 EST
cmdline install fails completely.

# configure-proxy.sh RHN Parent [satellite.example.com]: 
CA Chain [/usr/share/rhn/RHN-ORG-TRUSTED-SSL-CERT]: 
Proxy version to activate [5.3]: 5.4
Traceback email []: 
Use SSL [Y/n]: 
HTTP Proxy []: 
Regardless of whether you enabled SSL for the connection to the Spacewalk Parent
Server, you will be prompted to generate an SSL certificate.
This SSL certificate will allow client systems to connect to this Spacewalk Proxy
securely. Refer to the Spacewalk Proxy Installation Guide for more information.
Organization []: none
Organization Unit [host-139.example.com]: 
Common Name [host-139.example.com]: 
City []: city
State []: state
Country code []: GB
Email []: root@host-139.example.com
API version: 5.4.0

There was a problem activating the RHN Proxy entitlement:
ERROR: upon entitlement/activation attempt: unknown error - <Fault 1046: 'redstone.xmlrpc.XmlRpcFault: proxy_channel_not_found'>
Proxy activation failed! Installation interrupted.
API version: 5.4.0
RHN Proxy successfully deactivated.


But it will install 5.3.   Rechecking satellite channel sync and update status.
Comment 5 Jan Pazdziora 2010-11-26 05:10:55 EST
Yeah, Mirek, the files in

web/html/applications/rhn-proxy/5.4/jabberd/

really don't look up to date.
Comment 6 Martin Poole 2010-11-26 05:18:25 EST
I also wonder whether all the extra modules should be there "disco" ?
Comment 7 Miroslav Suchý 2010-11-26 09:48:26 EST
ad cmd installer - that fail is due BZ 657019, please try with workaround:
https://bugzilla.redhat.com/show_bug.cgi?id=657019#c1

If jabberd config are old, they should be update in both proxy command line installer, webui (web/html/applications/rhn-proxy/5.4/jabberd/) and hosted (their version of web/html/applications/rhn-proxy/5.4/jabberd/).
Comment 8 Miroslav Suchý 2010-12-07 04:30:00 EST
commited to spacewalk.git as commit c2f599ed19871a51d4940720c28d96e06597dfba
Comment 9 Miroslav Suchý 2010-12-13 07:38:17 EST
cherrypicked to satellite.git as commit cd77fc347bdc474f445eb8ea71924fe68e96ac68
Comment 11 Miroslav Suchý 2010-12-14 15:46:17 EST
I forgot to wrap up the script in activity tag, which led to ISE.
fix in commit 9c5cbcd334d2dfde7df484063e78e731b76dfd6d

cherrypicked to satellite.git as commit 9991b47721b0c01599187cd558d771dc2c420563
Comment 14 Jaromir Hradilek 2010-12-16 05:44:27 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
The WebUI installer for Red Hat Network Proxy Server 5.4 did not produce a valid configuration for the OSA jabberd service. With this update, jabberd is configured correctly.
Comment 15 Miroslav Suchý 2010-12-16 11:58:02 EST
moved script to correct activity.
commit 77d77ce5369488d4d90714224e8477bfb57168d0

cherry-picked to satellite.git as commit 11216176d9874677cc3da2201f0abb7913e1a603
Comment 21 Jan Pazdziora 2010-12-17 04:34:10 EST
Taking.
Comment 22 Jan Pazdziora 2010-12-17 04:38:48 EST
#!/bin/sh is needed in the script.

Spacewalk master eab762584e64b2db5b65db4a8851cf2a43cadde0.

Cherry picked to Satellite's SATELLITE-5.4 as 7ad9506294e3f6e71e8b55f122920e82b702c356.

Tagged as spacewalk-web-1.2.7-14-sat.
Comment 23 Jan Pazdziora 2010-12-17 04:55:16 EST
Packages for spacewalk-web-1.2.7-14 built; moving back ON_QA.
Comment 27 errata-xmlrpc 2010-12-21 07:25:12 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-1001.html

Note You need to log in before you can comment on or make changes to this bug.